'use strict'
var GOBJ = GOBJ || {};

GOBJ.multiGame = false;
GOBJ.multiPlayerNo = 0;
GOBJ.backCnt = 0;
GOBJ.audioOn = true;

var app = angular.module('starter', ['ionic', 'controllers',
                                    'selectionModel']);

app.constant('settings', {serverbase: 'http://todoosh.com/bs/',gtype:'fourx'});

app.run(function ($ionicPlatform) {
  $ionicPlatform.ready(function () {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.hide();
      ionic.Platform.fullScreen();
    }
  });
});

app.config(function ($stateProvider, $urlRouterProvider, $ionicConfigProvider) {

  $ionicConfigProvider.views.maxCache(0);

  $stateProvider
    .state('home', {
      url: "/home",
      views: {
        'appContent': {
          templateUrl: "home.html",
          controller: 'homeCtrl'
        }
      }
    })
    .state('start', {
      url: "/start",
      views: {
        'appContent': {
          templateUrl: "start.html",
          controller: 'startCtrl'
        }
      }
    })
    .state('join', {
      url: "/join",
      views: {
        'appContent': {
          templateUrl: "join.html",
          controller: 'joinCtrl'
        }
      }
    })
    .state('play', {
      url: "/play",
      views: {
        'appContent': {
          templateUrl: "play.html",
          controller: 'playCtrl'
        }
      }
    });
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/home');

});


app.directive('gameCanvas', function ($injector) {
  return {
    restrict: 'E',
    template: '<div id="gameCanvas"></div>',
    link: function (scope, attrs) {
      GOBJ.createGame(scope, $injector);
      scope.$on('$destroy', function () {
        GOBJ.game.destroy(); // Clean up the game when we leave this scope
      });

    }
  }
});
