'use strict'
var GOBJ = GOBJ || {};

document.addEventListener("deviceready", function () {
  
  if (navigator.userAgent.match(/Android/i)) 
      GOBJ.device = 'android';
  else 
      GOBJ.device = 'ios';
  
  GOBJ.ads_on = true;
  
  // admob stuff
  var bannerAdUnit = "ca-app-pub-xxx";
  var interstitialAdUnit;
  var isOverlap = true; //true: overlap, false: split
  var isTest = false;

  if (window.admob) {
    if (GOBJ.device == 'android') 
      interstitialAdUnit = "ca-app-pub-8516712240494280/8423620215";
    else 
      interstitialAdUnit = "ca-app-pub-8516712240494280/1620207016";
    

    window.admob.setUp(bannerAdUnit, interstitialAdUnit, isOverlap, isTest);

    window.admob.onInterstitialAdHidden = function () {
      window.admob.preloadInterstitialAd();
    };

    // prime the ad
      //window.admob.preloadInterstitialAd();
  }

  if (window.powerManagement) {
    window.powerManagement.acquire();
    // background

    document.addEventListener("pause", function () {
      window.powerManagement.release();
    }, false);

    document.addEventListener("resume", function () {
      window.powerManagement.acquire();
    }, false);
  }

  if(!window.store){
    console.log('store not available');
  }else{
     // Enable maximum logging level
    //store.verbosity = store.DEBUG;

    // Enable remote receipt validation
    //store.validator = "https://api.fovea.cc:1982/check-purchase";

    // Inform the store of your products
    //console.log('registerProducts');
    store.register({
        id:    'four_across_ad_removal', // id without package name!
        alias: 'four_across_ad_removal',
        type:   store.NON_CONSUMABLE
    });
  
    store.when("four_across_ad_removal").approved(function (order) {
        //console.log('You just removed ads!');
        order.finish();
    });
     
    store.when("four_across_ad_removal").updated(function(p) {
        GOBJ.ads_on = !p.owned;
        GOBJ.ads_price = p.price;
        //console.log(p);
        
        // prime the ad
        if (GOBJ.ads_on && window.admob)            
          window.admob.preloadInterstitialAd();
        
    });
  
       // Log all errors
    store.error(function(error) {
        console.log('ERROR ' + error.code + ': ' + error.message);
    });
    
    store.refresh();
    
  }

}, false);


GOBJ.boot = function () {
  var self = this;

  self.create = function () {

    // Phaser boot stuff

    // set scale options
    self.input.maxPointers = 1;
    self.scale.scaleMode = Phaser.ScaleManager.SHOWALL;
    self.scale.pageAlignHorizontally = true;
    self.scale.pageAlignVertically = true;
    self.scale.setScreenSize(true);

    self.game.stage.backgroundColor = '#DCDCDC';

    GOBJ.game.state.start('preload');

  }

}
